function CheckDirectDamage(WeaponDamage, Caliber, Point, Distance, ZoneId)
	local pos = object.GetPosition();
	local terrain = GetTerrainType(pos);
	CreateDetonation("Detonations/grenade.dsc", terrain, pos)
	object.Die();
end
